<?php
/**
 * Fashion Designer Studio: Customizer-home-page
 *
 * @subpackage Fashion Designer Studio
 * @since 1.0
 */

	//  Home Page Panel
	$wp_customize->add_panel( 'fashion_designer_studio_custompage_panel', array(
		'title' => esc_html__( 'Custom Page Settings', 'fashion-designer-studio' ),
		'priority' => 2,
	));
	// Top Header
    $wp_customize->add_section('fashion_designer_studio_top',array(
        'title' => __('Top Header', 'fashion-designer-studio'),
        'priority' => 2,
        'panel' => 'fashion_designer_studio_custompage_panel',
    ) );
    $wp_customize->add_setting( 'fashion_designer_studio_section_contact_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_contact_heading', array(
		'label'       => esc_html__( 'Contact Settings', 'fashion-designer-studio' ),	
		'description' => __( 'Add contact info in the below feilds', 'fashion-designer-studio' ),		
		'section'     => 'fashion_designer_studio_top',
		'settings'    => 'fashion_designer_studio_section_contact_heading',
	) ) );
    $wp_customize->add_setting('fashion_designer_studio_top_discount_text',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('fashion_designer_studio_top_discount_text',array(
		'label' => esc_html__('Add Discount Text','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_top_discount_text',
		'type'    => 'text'
	));
	$wp_customize->add_setting('fashion_designer_studio_top_phone_number',array(
		'default' => '',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_phone_number'
	));
	$wp_customize->add_control('fashion_designer_studio_top_phone_number',array(
		'label' => esc_html__('Add Phone Number','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_top_phone_number',
		'type'    => 'text'
	));
	$wp_customize->add_setting('fashion_designer_studio_phone_icon',array(
		'default'	=> 'fas fa-phone',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new  Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_phone_icon',array(
		'label'	=> __('Add phone Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_top',
		'setting'	=> 'fashion_designer_studio_phone_icon',
		'type'		=> 'icon'
	)));
    $wp_customize->add_setting('fashion_designer_studio_top_timing',array(
		'default' => '',
		'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('fashion_designer_studio_top_timing',array(
		'label' => esc_html__('Add Timing','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_top_timing',
		'type'    => 'text'
	));
	$wp_customize->add_setting('fashion_designer_studio_timimg_icon',array(
		'default'	=> 'fas fa-clock',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new  Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_timimg_icon',array(
		'label'	=> __('Add timing Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_top',
		'setting'	=> 'fashion_designer_studio_timimg_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting(
		'fashion_designer_studio_cart_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_cart_enable',
			array(
				'settings'        => 'fashion_designer_studio_cart_enable',
				'section'         => 'fashion_designer_studio_top',
				'label'           => __( 'Show cart', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting(
		'fashion_designer_studio_login_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_login_enable',
			array(
				'settings'        => 'fashion_designer_studio_login_enable',
				'section'         => 'fashion_designer_studio_top',
				'label'           => __( 'Show login', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_wishlist_url',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_wishlist_url',array(
		'label' => esc_html__('Wishlist URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_top',
		'setting' => 'fashion_designer_studio_wishlist_url',
		'type'    => 'url'
	));

	// Social Media
    $wp_customize->add_section('fashion_designer_studio_urls',array(
        'title' => __('Social Media', 'fashion-designer-studio'),
        'priority' => 3,
        'panel' => 'fashion_designer_studio_custompage_panel',
    ) );
    $wp_customize->add_setting( 'fashion_designer_studio_section_social_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_social_heading', array(
		'label'       => esc_html__( 'Social Media Settings', 'fashion-designer-studio' ),
		'description' => __( 'Add social media links in the below feilds', 'fashion-designer-studio' ),			
		'section'     => 'fashion_designer_studio_urls',
		'settings'    => 'fashion_designer_studio_section_social_heading',
	) ) );
	$wp_customize->add_setting(
		'header_social_icon_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'header_social_icon_enable',
			array(
				'settings'        => 'header_social_icon_enable',
				'section'         => 'fashion_designer_studio_urls',
				'label'           => __( 'Check to show social fields', 'fashion-designer-studio' ),
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_facebook_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_facebook_heading', array(
		'label'       => esc_html__( 'Facebook settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_urls',
		'settings'    => 'fashion_designer_studio_facebook_heading',
	) ) );
	$wp_customize->add_setting('fashion_designer_studio_facebook',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_facebook',array(
		'label' => esc_html__('Add URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_facebook',
		'type'    => 'url'
	));
	$wp_customize->add_setting(
		'fashion_designer_studio_header_fb_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_header_fb_target',
			array(
				'settings'        => 'fashion_designer_studio_header_fb_target',
				'section'         => 'fashion_designer_studio_urls',
				'label'           => __( 'Open link in a new tab', 'fashion-designer-studio' ),
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_twitter_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_twitter_heading', array(
		'label'       => esc_html__( 'Twitter settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_urls',
		'settings'    => 'fashion_designer_studio_twitter_heading',
	) ) );
	$wp_customize->add_setting('fashion_designer_studio_twitter',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_twitter',array(
		'label' => esc_html__('Add URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_twitter',
		'type'    => 'url'
	));
	$wp_customize->add_setting(
		'fashion_designer_studio_header_twt_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_header_twt_target',
			array(
				'settings'        => 'fashion_designer_studio_header_twt_target',
				'section'         => 'fashion_designer_studio_urls',
				'label'           => __( 'Open link in a new tab', 'fashion-designer-studio' ),
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_youtube_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_youtube_heading', array(
		'label'       => esc_html__( 'Youtube settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_urls',
		'settings'    => 'fashion_designer_studio_youtube_heading',
	) ) );
	$wp_customize->add_setting('fashion_designer_studio_youtube',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_youtube',array(
		'label' => esc_html__('Add URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_youtube',
		'type'    => 'url'
	));
	$wp_customize->add_setting(
		'fashion_designer_studio_header_ut_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_header_ut_target',
			array(
				'settings'        => 'fashion_designer_studio_header_ut_target',
				'section'         => 'fashion_designer_studio_urls',
				'label'           => __( 'Open link in a new tab', 'fashion-designer-studio' ),
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_instagram_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_instagram_heading', array(
		'label'       => esc_html__( 'Instagram settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_urls',
		'settings'    => 'fashion_designer_studio_instagram_heading',
	) ) );
	$wp_customize->add_setting('fashion_designer_studio_instagram',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw'
	));
	$wp_customize->add_control('fashion_designer_studio_instagram',array(
		'label' => esc_html__('Add URL','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_urls',
		'setting' => 'fashion_designer_studio_instagram',
		'type'    => 'url'
	));
	$wp_customize->add_setting(
		'fashion_designer_studio_header_ins_target',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_header_ins_target',
			array(
				'settings'        => 'fashion_designer_studio_header_ins_target',
				'section'         => 'fashion_designer_studio_urls',
				'label'           => __( 'Open link in a new tab', 'fashion-designer-studio' ),
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
			)
		)
	);

    //Slider
	$wp_customize->add_section( 'fashion_designer_studio_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'fashion-designer-studio' ),
    	'priority'   => 3,
    	'panel' => 'fashion_designer_studio_custompage_panel',
	) );
	$wp_customize->add_setting( 'fashion_designer_studio_section_slide_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_slide_heading', array(
		'label'       => esc_html__( 'Slider Settings', 'fashion-designer-studio' ),
		'description' => __( 'Slider Image Dimension ( 1600px x 650px )', 'fashion-designer-studio' ),		
		'section'     => 'fashion_designer_studio_slider_section',
		'settings'    => 'fashion_designer_studio_section_slide_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_slider_arrows',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_slider_arrows',
			array(
				'settings'        => 'fashion_designer_studio_slider_arrows',
				'section'         => 'fashion_designer_studio_slider_section',
				'label'           => __( 'Check To show Slider', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$args = array('numberposts' => -1);
	$post_list = get_posts($args);
	$i = 0;
	$pst_sls[]= __('Select','fashion-designer-studio');
	foreach ($post_list as $key => $p_post) {
		$pst_sls[$p_post->ID]=$p_post->post_title;
	}
	for ( $i = 1; $i <= 4; $i++ ) {
		$wp_customize->add_setting('fashion_designer_studio_post_setting'.$i,array(
			'sanitize_callback' => 'fashion_designer_studio_sanitize_select',
		));
		$wp_customize->add_control('fashion_designer_studio_post_setting'.$i,array(
			'type'    => 'select',
			'choices' => $pst_sls,
			'label' => __('Select post','fashion-designer-studio'),
			'section' => 'fashion_designer_studio_slider_section',
			'active_callback' => 'fashion_designer_studio_slider_dropdown',
		));
	}
	wp_reset_postdata();

	$wp_customize->add_setting(
		'fashion_designer_studio_slider_excerpt_show_hide',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_slider_excerpt_show_hide',
			array(
				'settings'        => 'fashion_designer_studio_slider_excerpt_show_hide',
				'section'         => 'fashion_designer_studio_slider_section',
				'label'           => __( 'Show Hide excerpt', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => 'fashion_designer_studio_slider_dropdown',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_slider_excerpt_count',array(
		'default'=> 30,
		'transport' => 'refresh',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_integer'
	));
	$wp_customize->add_control(new Fashion_Designer_Studio_Slider_Custom_Control( $wp_customize, 'fashion_designer_studio_slider_excerpt_count',array(
		'label' => esc_html__( 'Excerpt Limit','fashion-designer-studio' ),
		'section'=> 'fashion_designer_studio_slider_section',
		'settings'=>'fashion_designer_studio_slider_excerpt_count',
		'input_attrs' => array(
			'reset'			   => 30,
            'step'             => 1,
			'min'              => 0,
			'max'              => 50,
        ),
        'active_callback' => 'fashion_designer_studio_slider_dropdown',
	)));
	$wp_customize->add_setting(
		'fashion_designer_studio_slider_button_show_hide',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_slider_button_show_hide',
			array(
				'settings'        => 'fashion_designer_studio_slider_button_show_hide',
				'section'         => 'fashion_designer_studio_slider_section',
				'label'           => __( 'Show Hide Button', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => 'fashion_designer_studio_slider_dropdown',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_slider_read_more',array(
		'default' => 'SHOP NOW',
		'sanitize_callback' => 'sanitize_text_field'
	)); 
	$wp_customize->add_control('fashion_designer_studio_slider_read_more',array(
		'label' => esc_html__('Button Text','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_slider_section',
		'setting' => 'fashion_designer_studio_slider_read_more',
		'type'    => 'text',
		'active_callback' => 'fashion_designer_studio_slider_dropdown',
	));

	$wp_customize->add_setting( 'fashion_designer_studio_slider_content_alignment',
		array(
			'default' => 'LEFT-ALIGN',
			'transport' => 'refresh',
			'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Text_Radio_Button_Custom_Control( $wp_customize, 'fashion_designer_studio_slider_content_alignment',
		array(
			'type' => 'select',
			'label' => esc_html__( 'Slider Content Alignment', 'fashion-designer-studio' ),
			'section' => 'fashion_designer_studio_slider_section',
			'choices' => array(
				'LEFT-ALIGN' => __('LEFT','fashion-designer-studio'),
	            'CENTER-ALIGN' => __('CENTER','fashion-designer-studio'),
	            'RIGHT-ALIGN' => __('RIGHT','fashion-designer-studio'),
			),
			'active_callback' => 'fashion_designer_studio_slider_dropdown',
		)
	) );

	// Category Section
	$wp_customize->add_section( 'fashion_designer_studio_mission_section' , array(
    	'title'      => __( 'Category Section Settings', 'fashion-designer-studio' ),
		'priority'   => 4,
		'panel' => 'fashion_designer_studio_custompage_panel',
	) );
	$wp_customize->add_setting( 'fashion_designer_studio_section_category_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_category_heading', array(
		'label'       => esc_html__( 'Category Section Settings', 'fashion-designer-studio' ),		
		'section'     => 'fashion_designer_studio_mission_section',
		'settings'    => 'fashion_designer_studio_section_category_heading',
		'priority'	  => 1,
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_section_show_hide',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_section_show_hide',
			array(
				'settings'        => 'fashion_designer_studio_section_show_hide',
				'section'         => 'fashion_designer_studio_mission_section',
				'label'           => __( 'Check To show Section', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'priority'	  => 1,
				'active_callback' => '',
			)
		)
	);

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
	if($i==0){
	  $default = $category->slug;
	  $i++;
	}
	$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('fashion_designer_studio_mission_category_setting',array(
		'default' => 'select',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_select',
	));
	$wp_customize->add_control('fashion_designer_studio_mission_category_setting',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => esc_html__('Select Category to display post','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_mission_section',
		'active_callback' => 'fashion_designer_studio_section_dropdown',
	));

	//Footer
    $wp_customize->add_section( 'fashion_designer_studio_footer_copyright', array(
    	'title'      => esc_html__( 'Footer Text', 'fashion-designer-studio' ),
    	'priority' => 6,
    	'panel' => 'fashion_designer_studio_custompage_panel',
	) );
	$wp_customize->add_setting( 'fashion_designer_studio_section_footer_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_footer_heading', array(
		'label'       => esc_html__( 'Footer Settings', 'fashion-designer-studio' ),		
		'section'     => 'fashion_designer_studio_footer_copyright',
		'settings'    => 'fashion_designer_studio_section_footer_heading',
		'priority' => 1,
	) ) );
    $wp_customize->add_setting('fashion_designer_studio_footer_text',array(
		'default'	=> 'Fashion Designer WordPress Theme',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('fashion_designer_studio_footer_text',array(
		'label'	=> esc_html__('Copyright Text','fashion-designer-studio'),
		'section'	=> 'fashion_designer_studio_footer_copyright',
		'type'		=> 'textarea'
	));
	$wp_customize->add_setting( 'fashion_designer_studio_footer_content_alignment',
		array(
			'default' => 'CENTER-ALIGN',
			'transport' => 'refresh',
			'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Text_Radio_Button_Custom_Control( $wp_customize, 'fashion_designer_studio_footer_content_alignment',
		array(
			'type' => 'select',
			'label' => esc_html__( 'Footer Content Alignment', 'fashion-designer-studio' ),
			'section' => 'fashion_designer_studio_footer_copyright',
			'choices' => array(
				'LEFT-ALIGN' => __('LEFT','fashion-designer-studio'),
	            'CENTER-ALIGN' => __('CENTER','fashion-designer-studio'),
	            'RIGHT-ALIGN' => __('RIGHT','fashion-designer-studio'),
			),
			'active_callback' => '',
		)
	) );
	$wp_customize->add_setting( 'fashion_designer_studio_footer_widget',
		array(
			'default' => '4',
			'transport' => 'refresh',
			'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Text_Radio_Button_Custom_Control( $wp_customize, 'fashion_designer_studio_footer_widget',
		array(
			'type' => 'select',
			'label' => esc_html__('Footer Per Column','fashion-designer-studio'),
			'section' => 'fashion_designer_studio_footer_copyright',
			'choices' => array(
				'1' => __('1','fashion-designer-studio'),
	            '2' => __('2','fashion-designer-studio'),
	            '3' => __('3','fashion-designer-studio'),
	            '4' => __('4','fashion-designer-studio'),
			)
		)
	) );