<?php
/**
 * Fashion Designer Studio: Customizer
 *
 * @subpackage Fashion Designer Studio
 * @since 1.0
 */

function fashion_designer_studio_customize_register( $wp_customize ) {

	wp_enqueue_style('customizercustom_css', esc_url( get_template_directory_uri() ). '/assets/css/customizer.css');

	// fontawesome icon-picker

	load_template( trailingslashit( get_template_directory() ) . '/inc/icon-picker.php' );

	// Add custom control.
 	require get_parent_theme_file_path( 'inc/switch/control_switch.php' );

 	require get_parent_theme_file_path( 'inc/custom-control.php' );

 	//Register the sortable control type.
	$wp_customize->register_control_type( 'Fashion_Designer_Studio_Control_Sortable' );

 	// Add homepage customizer file
  	require get_template_directory() . '/inc/customizer-home-page.php';

  	// pro section
  	$wp_customize->add_section('fashion_designer_studio_pro', array(
        'title'    => __('UPGRADE FASHION DESIGNER PREMIUM', 'fashion-designer-studio'),
        'priority' => 1,
    ));
    $wp_customize->add_setting('fashion_designer_studio_pro', array(
        'default'           => null,
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control(new Fashion_Designer_Studio_Pro_Control($wp_customize, 'fashion_designer_studio_pro', array(
        'label'    => __('Fashion Designer Studio PREMIUM', 'fashion-designer-studio'),
        'section'  => 'fashion_designer_studio_pro',
        'settings' => 'fashion_designer_studio_pro',
        'priority' => 1,
    )));

 	//Logo
    $wp_customize->add_setting('fashion_designer_studio_logo_max_height',array(
		'default'=> '100',
		'transport' => 'refresh',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_integer'
	));
	$wp_customize->add_control(new Fashion_Designer_Studio_Slider_Custom_Control( $wp_customize, 'fashion_designer_studio_logo_max_height',array(
		'label'	=> esc_html__('Logo Width','fashion-designer-studio'),
		'section'=> 'title_tagline',
		'settings'=>'fashion_designer_studio_logo_max_height',
		'input_attrs' => array(
			'reset'			   => 100,
            'step'             => 1,
			'min'              => 0,
			'max'              => 250,
        ),
        'priority' => 9,
	)));
	$wp_customize->add_setting('fashion_designer_studio_logo_title',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_logo_title',
			array(
				'settings'        => 'fashion_designer_studio_logo_title',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Title', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_logo_text',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_logo_text',
			array(
				'settings'        => 'fashion_designer_studio_logo_text',
				'section'         => 'title_tagline',
				'label'           => __( 'Show Site Tagline', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

    //typography

	$wp_customize->add_section( 'fashion_designer_studio_typography_settings', array(
		'title'       => __( 'Typography Settings', 'fashion-designer-studio' ),
		'priority'       => 3,
	) );
	$font_choices = array(
		'' => 'Select',
		'Source Sans Pro:400,700,400italic,700italic' => 'Source Sans Pro',
		'Open Sans:400italic,700italic,400,700' => 'Open Sans',
		'Oswald:400,700' => 'Oswald',
		'Playfair Display:400,700,400italic' => 'Playfair Display',
		'Montserrat:400,700' => 'Montserrat',
		'Raleway:400,700' => 'Raleway',
		'Droid Sans:400,700' => 'Droid Sans',
		'Lato:400,700,400italic,700italic' => 'Lato',
		'Arvo:400,700,400italic,700italic' => 'Arvo',
		'Lora:400,700,400italic,700italic' => 'Lora',
		'Merriweather:400,300italic,300,400italic,700,700italic' => 'Merriweather',
		'Oxygen:400,300,700' => 'Oxygen',
		'PT Serif:400,700' => 'PT Serif',
		'PT Sans:400,700,400italic,700italic' => 'PT Sans',
		'PT Sans Narrow:400,700' => 'PT Sans Narrow',
		'Cabin:400,700,400italic' => 'Cabin',
		'Fjalla One:400' => 'Fjalla One',
		'Francois One:400' => 'Francois One',
		'Josefin Sans:400,300,600,700' => 'Josefin Sans',
		'Libre Baskerville:400,400italic,700' => 'Libre Baskerville',
		'Arimo:400,700,400italic,700italic' => 'Arimo',
		'Ubuntu:400,700,400italic,700italic' => 'Ubuntu',
		'Bitter:400,700,400italic' => 'Bitter',
		'Droid Serif:400,700,400italic,700italic' => 'Droid Serif',
		'Roboto:400,400italic,700,700italic' => 'Roboto',
		'Open Sans Condensed:700,300italic,300' => 'Open Sans Condensed',
		'Roboto Condensed:400italic,700italic,400,700' => 'Roboto Condensed',
		'Roboto Slab:400,700' => 'Roboto Slab',
		'Yanone Kaffeesatz:400,700' => 'Yanone Kaffeesatz',
		'Rokkitt:400' => 'Rokkitt',
	);
	$wp_customize->add_setting( 'fashion_designer_studio_section_typo_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_typo_heading', array(
		'label'       => esc_html__( 'Typography Settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_typography_settings',
		'settings'    => 'fashion_designer_studio_section_typo_heading',
	) ) );
	$wp_customize->add_setting( 'fashion_designer_studio_headings_text', array(
		'sanitize_callback' => 'fashion_designer_studio_sanitize_fonts',
	));
	$wp_customize->add_control( 'fashion_designer_studio_headings_text', array(
		'type' => 'select',
		'description' => __('Select your suitable font for the headings.', 'fashion-designer-studio'),
		'section' => 'fashion_designer_studio_typography_settings',
		'choices' => $font_choices
	));
	$wp_customize->add_setting( 'fashion_designer_studio_body_text', array(
		'sanitize_callback' => 'fashion_designer_studio_sanitize_fonts'
	));
	$wp_customize->add_control( 'fashion_designer_studio_body_text', array(
		'type' => 'select',
		'description' => __( 'Select your suitable font for the body.', 'fashion-designer-studio' ),
		'section' => 'fashion_designer_studio_typography_settings',
		'choices' => $font_choices
	) );

	// Theme General Settings
    $wp_customize->add_section('fashion_designer_studio_theme_settings',array(
        'title' => __('Theme General Settings', 'fashion-designer-studio'),
        'priority' => 3,
    ) );
    $wp_customize->add_setting( 'fashion_designer_studio_section_sticky_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_sticky_heading', array(
		'label'       => esc_html__( 'Sticky Header setting', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_theme_settings',
		'settings'    => 'fashion_designer_studio_section_sticky_heading',
	) ) );
    $wp_customize->add_setting(
		'fashion_designer_studio_sticky_header',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_sticky_header',
			array(
				'settings'        => 'fashion_designer_studio_sticky_header',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Show Sticky Header', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_section_loader_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_loader_heading', array(
		'label'       => esc_html__( 'Loader setting', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_theme_settings',
		'settings'    => 'fashion_designer_studio_section_loader_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_theme_loader',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => 'off',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_theme_loader',
			array(
				'settings'        => 'fashion_designer_studio_theme_loader',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'Show Site Loader', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	$wp_customize->add_setting('fashion_designer_studio_loader_style',array(
        'default' => 'style_one',
        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
	));
	$wp_customize->add_control('fashion_designer_studio_loader_style',array(
        'type' => 'select',
        'label' => __('Select Loader Design','fashion-designer-studio'),
        'section' => 'fashion_designer_studio_theme_settings',
        'choices' => array(
            'style_one' => __('Circle','fashion-designer-studio'),
            'style_two' => __('Bar','fashion-designer-studio'),
        ),
	) );
	
	$wp_customize->add_setting( 'fashion_designer_studio_section_menu_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_menu_heading', array(
		'label'       => esc_html__( 'Menu setting', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_theme_settings',
		'settings'    => 'fashion_designer_studio_section_menu_heading',
	) ) );
	$wp_customize->add_setting('fashion_designer_studio_menu_text_transform',array(
        'default' => 'CAPITALISE',
        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
	));
	$wp_customize->add_control('fashion_designer_studio_menu_text_transform',array(
        'type' => 'select',
        'label' => __('Menus Text Transform','fashion-designer-studio'),
        'section' => 'fashion_designer_studio_theme_settings',
        'choices' => array(
            'CAPITALISE' => __('CAPITALISE','fashion-designer-studio'),
            'UPPERCASE' => __('UPPERCASE','fashion-designer-studio'),
            'LOWERCASE' => __('LOWERCASE','fashion-designer-studio'),
        ),
	) );
	$wp_customize->add_setting( 'fashion_designer_studio_section_scroll_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_scroll_heading', array(
		'label'       => esc_html__( 'Scroll Top Settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_theme_settings',
		'settings'    => 'fashion_designer_studio_section_scroll_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_scroll_enable',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_scroll_enable',
			array(
				'settings'        => 'fashion_designer_studio_scroll_enable',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'show Scroll Top', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_scroll_options',
		array(
			'default' => 'right_align',
			'transport' => 'refresh',
			'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Text_Radio_Button_Custom_Control( $wp_customize, 'fashion_designer_studio_scroll_options',
		array(
			'type' => 'select',
			'label' => esc_html__( 'Scroll Top Alignment', 'fashion-designer-studio' ),
			'section' => 'fashion_designer_studio_theme_settings',
			'choices' => array(
				'left_align' => __('LEFT','fashion-designer-studio'),
				'center_align' => __('CENTER','fashion-designer-studio'),
				'right_align' => __('RIGHT','fashion-designer-studio'),
			)
		)
	) );
	$wp_customize->add_setting('fashion_designer_studio_scroll_top_icon',array(
		'default'	=> 'fas fa-chevron-up',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new  Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_scroll_top_icon',array(
		'label'	=> __('Add Scroll Top Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_theme_settings',
		'setting'	=> 'fashion_designer_studio_scroll_top_icon',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting(
		'fashion_designer_studio_enable_custom_cursor',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_enable_custom_cursor',
			array(
				'settings'        => 'fashion_designer_studio_enable_custom_cursor',
				'section'         => 'fashion_designer_studio_theme_settings',
				'label'           => __( 'show custom cursor', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);

	// Post Layouts
	$wp_customize->add_panel( 'fashion_designer_studio_post_panel', array(
		'title' => esc_html__( 'Post Layout', 'fashion-designer-studio' ),
		'priority' => 4,
	));
    $wp_customize->add_section('fashion_designer_studio_layout',array(
        'title' => __('Single-Post Layout', 'fashion-designer-studio'),
        'panel' => 'fashion_designer_studio_post_panel',
    ) );
    $wp_customize->add_setting( 'fashion_designer_studio_section_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_post_heading', array(
		'label'       => esc_html__( 'Single Post Structure', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_layout',
		'settings'    => 'fashion_designer_studio_section_post_heading',
	) ) );
	$wp_customize->add_setting( 'fashion_designer_studio_single_post_option',
		array(
			'default' => 'single_right_sidebar',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Radio_Image_Control( $wp_customize, 'fashion_designer_studio_single_post_option',
		array(
			'type'=>'select',
			'label' => __( 'select Single Post Page Layout', 'fashion-designer-studio' ),
			'section' => 'fashion_designer_studio_layout',
			'choices' => array(

				'single_right_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/2column.jpg',
					'name' => __( 'Right Sidebar', 'fashion-designer-studio' )
				),
				'single_left_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/left.png',
					'name' => __( 'Left Sidebar', 'fashion-designer-studio' )
				),
				'single_full_width' => array(
					'image' => get_template_directory_uri().'/assets/images/1column.jpg',
					'name' => __( 'One Column', 'fashion-designer-studio' )
				),
			)
		)
	) );
	$wp_customize->add_setting('fashion_designer_studio_single_post_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_post_date',
			array(
				'settings'        => 'fashion_designer_studio_single_post_date',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Date', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_single_post_date', array(
		'selector' => '.date-box',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_single_post_date',
	) );
	$wp_customize->add_setting('fashion_designer_studio_single_date_icon',array(
		'default'	=> 'far fa-calendar-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_single_date_icon',array(
		'label'	=> __('date Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_layout',
		'setting'	=> 'fashion_designer_studio_single_date_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_single_post_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_post_admin',
			array(
				'settings'        => 'fashion_designer_studio_single_post_admin',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Author/Admin', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_single_post_admin', array(
		'selector' => '.entry-author',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_single_post_admin',
	) );
	$wp_customize->add_setting('fashion_designer_studio_single_author_icon',array(
		'default'	=> 'fas fa-user',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_single_author_icon',array(
		'label'	=> __('Author Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_layout',
		'setting'	=> 'fashion_designer_studio_single_author_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_single_post_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_post_comment',
			array(
				'settings'        => 'fashion_designer_studio_single_post_comment',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Comment', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_single_comment_icon',array(
		'default'	=> 'fas fa-comments',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_single_comment_icon',array(
		'label'	=> __('comment Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_layout',
		'setting'	=> 'fashion_designer_studio_single_comment_icon',
		'type'		=> 'icon'
	)));

	$wp_customize->add_setting('fashion_designer_studio_single_post_tag_count',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_post_tag_count',
			array(
				'settings'        => 'fashion_designer_studio_single_post_tag_count',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show tag count', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_single_tag_icon',array(
		'default'	=> 'fas fa-tags',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_single_tag_icon',array(
		'label'	=> __('tag Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_layout',
		'setting'	=> 'fashion_designer_studio_single_tag_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_single_post_tag',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_post_tag',
			array(
				'settings'        => 'fashion_designer_studio_single_post_tag',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Tags', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_single_post_tag', array(
		'selector' => '.single-tags',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_single_post_tag',
	) );
	$wp_customize->add_setting('fashion_designer_studio_similar_post',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_similar_post',
			array(
				'settings'        => 'fashion_designer_studio_similar_post',
				'section'         => 'fashion_designer_studio_layout',
				'label'           => __( 'Show Similar post', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_similar_text',array(
		'default' => 'Explore More',
		'sanitize_callback' => 'sanitize_text_field'
	)); 
	$wp_customize->add_control('fashion_designer_studio_similar_text',array(
		'label' => esc_html__('Similar Post Heading','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_layout',
		'setting' => 'fashion_designer_studio_similar_text',
		'type'    => 'text'
	));
	$wp_customize->add_section('fashion_designer_studio_archieve_post_layot',array(
        'title' => __('Archieve-Post Layout', 'fashion-designer-studio'),
        'panel' => 'fashion_designer_studio_post_panel',
    ) );
	$wp_customize->add_setting( 'fashion_designer_studio_section_archive_post_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_archive_post_heading', array(
		'label'       => esc_html__( 'Archieve Post Structure', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_archieve_post_layot',
		'settings'    => 'fashion_designer_studio_section_archive_post_heading',
	) ) );
    $wp_customize->add_setting( 'fashion_designer_studio_post_option',
		array(
			'default' => 'right_sidebar',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Radio_Image_Control( $wp_customize, 'fashion_designer_studio_post_option',
		array(
			'type'=>'select',
			'label' => __( 'select Post Page Layout', 'fashion-designer-studio' ),
			'section' => 'fashion_designer_studio_archieve_post_layot',
			'choices' => array(
				'right_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/2column.jpg',
					'name' => __( 'Right Sidebar', 'fashion-designer-studio' )
				),
				'left_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/left.png',
					'name' => __( 'Left Sidebar', 'fashion-designer-studio' )
				),
				'one_column' => array(
					'image' => get_template_directory_uri().'/assets/images/1column.jpg',
					'name' => __( 'One Column', 'fashion-designer-studio' )
				),
				'three_column' => array(
					'image' => get_template_directory_uri().'/assets/images/3column.jpg',
					'name' => __( 'Three Column', 'fashion-designer-studio' )
				),
				'four_column' => array(
					'image' => get_template_directory_uri().'/assets/images/4column.jpg',
					'name' => __( 'Four Column', 'fashion-designer-studio' )
				),
				'grid_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/grid-sidebar.jpg',
					'name' => __( 'Grid-Right-Sidebar Layout', 'fashion-designer-studio' )
				),
				'grid_left_sidebar' => array(
					'image' => get_template_directory_uri().'/assets/images/grid-left.png',
					'name' => __( 'Grid-Left-Sidebar Layout', 'fashion-designer-studio' )
				),
				'grid_post' => array(
					'image' => get_template_directory_uri().'/assets/images/grid.jpg',
					'name' => __( 'Grid Layout', 'fashion-designer-studio' )
				)
			)
		)
	) );
	$wp_customize->add_setting( 'fashion_designer_studio_grid_column',
		array(
			'default' => '3_column',
			'transport' => 'refresh',
			'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		)
	);
	$wp_customize->add_control( new Fashion_Designer_Studio_Text_Radio_Button_Custom_Control( $wp_customize, 'fashion_designer_studio_grid_column',
		array(
			'type' => 'select',
			'label' => esc_html__('Grid Post Per Row','fashion-designer-studio'),
			'section' => 'fashion_designer_studio_archieve_post_layot',
			'choices' => array(
				'1_column' => __('1','fashion-designer-studio'),
	            '2_column' => __('2','fashion-designer-studio'),
	            '3_column' => __('3','fashion-designer-studio'),
	            '4_column' => __('4','fashion-designer-studio'),
			)
		)
	) );
	$wp_customize->add_setting('archieve_post_order', array(
        'default' => array('title', 'image', 'meta','excerpt','btn'),
        'sanitize_callback' => 'fashion_designer_studio_sanitize_sortable',
    ));
    $wp_customize->add_control(new Fashion_Designer_Studio_Control_Sortable($wp_customize, 'archieve_post_order', array(
    	'label' => esc_html__('Post Order', 'fashion-designer-studio'),
        'description' => __('Drag & Drop post items to re-arrange the order and also hide and show items as per the need by clicking on the eye icon.', 'fashion-designer-studio') ,
        'section' => 'fashion_designer_studio_archieve_post_layot',
        'choices' => array(
            'title' => __('title', 'fashion-designer-studio') ,
            'image' => __('media', 'fashion-designer-studio') ,
            'meta' => __('meta', 'fashion-designer-studio') ,
            'excerpt' => __('excerpt', 'fashion-designer-studio') ,
            'btn' => __('Read more', 'fashion-designer-studio') ,
        ) ,
    )));
	$wp_customize->add_setting('fashion_designer_studio_post_excerpt',array(
		'default'=> 30,
		'transport' => 'refresh',
		'sanitize_callback' => 'fashion_designer_studio_sanitize_integer'
	));
	$wp_customize->add_control(new Fashion_Designer_Studio_Slider_Custom_Control( $wp_customize, 'fashion_designer_studio_post_excerpt',array(
		'label' => esc_html__( 'Excerpt Limit','fashion-designer-studio' ),
		'section'=> 'fashion_designer_studio_archieve_post_layot',
		'settings'=>'fashion_designer_studio_post_excerpt',
		'input_attrs' => array(
			'reset'			   => 30,
            'step'             => 1,
			'min'              => 0,
			'max'              => 100,
        ),
	)));
	$wp_customize->add_setting('fashion_designer_studio_read_more_text',array(
		'default' => 'Read More',
		'sanitize_callback' => 'sanitize_text_field'
	)); 
	$wp_customize->add_control('fashion_designer_studio_read_more_text',array(
		'label' => esc_html__('Read More Text','fashion-designer-studio'),
		'section' => 'fashion_designer_studio_archieve_post_layot',
		'setting' => 'fashion_designer_studio_read_more_text',
		'type'    => 'text'
	));
	$wp_customize->add_setting('fashion_designer_studio_read_more_icon',array(
		'default'	=> 'fas fa-arrow-right',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_read_more_icon',array(
		'label'	=> __('Read More Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_archieve_post_layot',
		'setting'	=> 'fashion_designer_studio_read_more_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_date',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_date',
			array(
				'settings'        => 'fashion_designer_studio_date',
				'section'         => 'fashion_designer_studio_archieve_post_layot',
				'label'           => __( 'Show Date', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_date', array(
		'selector' => '.date-box',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_date',
	) );
	$wp_customize->add_setting('fashion_designer_studio_date_icon',array(
		'default'	=> 'far fa-calendar-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_date_icon',array(
		'label'	=> __('date Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_archieve_post_layot',
		'setting'	=> 'fashion_designer_studio_date_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_admin',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_admin',
			array(
				'settings'        => 'fashion_designer_studio_admin',
				'section'         => 'fashion_designer_studio_archieve_post_layot',
				'label'           => __( 'Show Author/Admin', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_admin', array(
		'selector' => '.entry-author',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_admin',
	) );
	$wp_customize->add_setting('fashion_designer_studio_author_icon',array(
		'default'	=> 'fas fa-user',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_author_icon',array(
		'label'	=> __('Author Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_archieve_post_layot',
		'setting'	=> 'fashion_designer_studio_author_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_comment',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_comment',
			array(
				'settings'        => 'fashion_designer_studio_comment',
				'section'         => 'fashion_designer_studio_archieve_post_layot',
				'label'           => __( 'Show Comment', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_comment', array(
		'selector' => '.entry-comments',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_comment',
	) );
	$wp_customize->add_setting('fashion_designer_studio_comment_icon',array(
		'default'	=> 'fas fa-comments',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_comment_icon',array(
		'label'	=> __('comment Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_archieve_post_layot',
		'setting'	=> 'fashion_designer_studio_comment_icon',
		'type'		=> 'icon'
	)));
	$wp_customize->add_setting('fashion_designer_studio_tag',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_tag',
			array(
				'settings'        => 'fashion_designer_studio_tag',
				'section'         => 'fashion_designer_studio_archieve_post_layot',
				'label'           => __( 'Show tag count', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->selective_refresh->add_partial( 'fashion_designer_studio_tag', array(
		'selector' => '.tags',
		'render_callback' => 'fashion_designer_studio_customize_partial_fashion_designer_studio_tag',
	) );
	$wp_customize->add_setting('fashion_designer_studio_tag_icon',array(
		'default'	=> 'fas fa-tags',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control(new Fashion_Designer_Studio_Fontawesome_Icon_Chooser(
        $wp_customize,'fashion_designer_studio_tag_icon',array(
		'label'	=> __('tag Icon','fashion-designer-studio'),
		'transport' => 'refresh',
		'section'	=> 'fashion_designer_studio_archieve_post_layot',
		'setting'	=> 'fashion_designer_studio_tag_icon',
		'type'		=> 'icon'
	)));

	// header-image
	$wp_customize->add_setting( 'fashion_designer_studio_section_header_image_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_header_image_heading', array(
		'label'       => esc_html__( 'Header Image Settings', 'fashion-designer-studio' ),
		'section'     => 'header_image',
		'settings'    => 'fashion_designer_studio_section_header_image_heading',
		'priority'    =>'1',
	) ) );

	$wp_customize->add_setting('fashion_designer_studio_show_header_image',array(
        'default' => 'on',
        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
	));
	$wp_customize->add_control('fashion_designer_studio_show_header_image',array(
        'type' => 'select',
        'label' => __('Select Option','fashion-designer-studio'),
        'section' => 'header_image',
        'choices' => array(
            'on' => __('With Header Image','fashion-designer-studio'),
            'off' => __('Without Header Image','fashion-designer-studio'),
        ),
	) );

	// Breadcrumb Section
	$wp_customize->add_section('fashion_designer_studio_breadcrumb_settings',array(
        'title' => __('Breadcrumb Settings', 'fashion-designer-studio'),
        'priority' => 4,
    ) );
	$wp_customize->add_setting( 'fashion_designer_studio_section_breadcrumb_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_breadcrumb_heading', array(
		'label'       => esc_html__( 'Breadcrumb Settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_breadcrumb_settings',
		'settings'    => 'fashion_designer_studio_section_breadcrumb_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_enable_breadcrumb',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_enable_breadcrumb',
			array(
				'settings'        => 'fashion_designer_studio_enable_breadcrumb',
				'section'         => 'fashion_designer_studio_breadcrumb_settings',
				'label'           => __( 'Show Breadcrumb', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting('fashion_designer_studio_breadcrumb_separator', array(
        'default' => ' / ',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('fashion_designer_studio_breadcrumb_separator', array(
        'label' => __('Breadcrumb Separator', 'fashion-designer-studio'),
        'section' => 'fashion_designer_studio_breadcrumb_settings',
        'type' => 'text',
    ));
	$wp_customize->add_setting( 'fashion_designer_studio_single_breadcrumb_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_single_breadcrumb_heading', array(
		'label'       => esc_html__( 'Single post & Page', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_breadcrumb_settings',
		'settings'    => 'fashion_designer_studio_single_breadcrumb_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_single_enable_breadcrumb',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_enable_breadcrumb',
			array(
				'settings'        => 'fashion_designer_studio_single_enable_breadcrumb',
				'section'         => 'fashion_designer_studio_breadcrumb_settings',
				'label'           => __( 'Show Breadcrumb', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	if ( class_exists( 'WooCommerce' ) ) { 
		$wp_customize->add_setting( 'fashion_designer_studio_woocommerce_breadcrumb_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_woocommerce_breadcrumb_heading', array(
			'label'       => esc_html__( 'Woocommerce Breadcrumb', 'fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_breadcrumb_settings',
			'settings'    => 'fashion_designer_studio_woocommerce_breadcrumb_heading',
		) ) );
		$wp_customize->add_setting(
			'fashion_designer_studio_woocommerce_enable_breadcrumb',
			array(
				'type'                 => 'option',
				'capability'           => 'edit_theme_options',
				'theme_supports'       => '',
				'default'              => '1',
				'transport'            => 'refresh',
				'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
			)
		);
		$wp_customize->add_control(
			new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
				$wp_customize,
				'fashion_designer_studio_woocommerce_enable_breadcrumb',
				array(
					'settings'        => 'fashion_designer_studio_woocommerce_enable_breadcrumb',
					'section'         => 'fashion_designer_studio_breadcrumb_settings',
					'label'           => __( 'Show Breadcrumb', 'fashion-designer-studio' ),				
					'choices'		  => array(
						'1'      => __( 'On', 'fashion-designer-studio' ),
						'off'    => __( 'Off', 'fashion-designer-studio' ),
					),
					'active_callback' => '',
				)
			)
		);
		$wp_customize->add_setting('woocommerce_breadcrumb_separator', array(
	        'default' => ' / ',
	        'sanitize_callback' => 'sanitize_text_field',
	    ));
	    $wp_customize->add_control('woocommerce_breadcrumb_separator', array(
	        'label' => __('Breadcrumb Separator', 'fashion-designer-studio'),
	        'section' => 'fashion_designer_studio_breadcrumb_settings',
	        'type' => 'text',
	    ));
	}

	// woocommerce
	if ( class_exists( 'WooCommerce' ) ) {
		$wp_customize->add_section('fashion_designer_studio_woocommerce_settings',array(
	        'title' => __('WooCommerce Settings', 'fashion-designer-studio'),
	        'priority' => 4,
	    ) );
		$wp_customize->add_setting( 'fashion_designer_studio_section_shoppage_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_shoppage_heading', array(
			'label'       => esc_html__( 'Sidebar Settings', 'fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_woocommerce_settings',
			'settings'    => 'fashion_designer_studio_section_shoppage_heading',
		) ) );
		$wp_customize->add_setting( 'fashion_designer_studio_shop_page_sidebar',
			array(
				'default' => 'right_sidebar',
				'transport' => 'refresh',
				'sanitize_callback' => 'sanitize_text_field'
			)
		);
		$wp_customize->add_control( new Fashion_Designer_Studio_Radio_Image_Control( $wp_customize, 'fashion_designer_studio_shop_page_sidebar',
			array(
				'type'=>'select',
				'label' => __( 'Show Shop Page Sidebar', 'fashion-designer-studio' ),
				'section'     => 'fashion_designer_studio_woocommerce_settings',
				'choices' => array(

					'right_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/2column.jpg',
						'name' => __( 'Right Sidebar', 'fashion-designer-studio' )
					),
					'left_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/left.png',
						'name' => __( 'Left Sidebar', 'fashion-designer-studio' )
					),
					'full_width' => array(
						'image' => get_template_directory_uri().'/assets/images/1column.jpg',
						'name' => __( 'Full Width', 'fashion-designer-studio' )
					),
				)
			)
		) );
		$wp_customize->add_setting( 'fashion_designer_studio_wocommerce_single_page_sidebar',
			array(
				'default' => 'right_sidebar',
				'transport' => 'refresh',
				'sanitize_callback' => 'sanitize_text_field'
			)
		);
		$wp_customize->add_control( new Fashion_Designer_Studio_Radio_Image_Control( $wp_customize, 'fashion_designer_studio_wocommerce_single_page_sidebar',
			array(
				'type'=>'select',
				'label'           => __( 'Show Single Product Page Sidebar', 'fashion-designer-studio' ),
				'section'     => 'fashion_designer_studio_woocommerce_settings',
				'choices' => array(

					'right_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/2column.jpg',
						'name' => __( 'Right Sidebar', 'fashion-designer-studio' )
					),
					'left_sidebar' => array(
						'image' => get_template_directory_uri().'/assets/images/left.png',
						'name' => __( 'Left Sidebar', 'fashion-designer-studio' )
					),
					'full_width' => array(
						'image' => get_template_directory_uri().'/assets/images/1column.jpg',
						'name' => __( 'Full Width', 'fashion-designer-studio' )
					),
				)
			)
		) );
		$wp_customize->add_setting( 'fashion_designer_studio_section_archieve_product_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_archieve_product_heading', array(
			'label'       => esc_html__( 'Archieve Product Settings', 'fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_woocommerce_settings',
			'settings'    => 'fashion_designer_studio_section_archieve_product_heading',
		) ) );
		$wp_customize->add_setting('fashion_designer_studio_archieve_item_columns',array(
	        'default' => '3',
	        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		));
		$wp_customize->add_control('fashion_designer_studio_archieve_item_columns',array(
	        'type' => 'select',
	        'label' => __('Select No of Columns','fashion-designer-studio'),
	        'section' => 'fashion_designer_studio_woocommerce_settings',
	        'choices' => array(
	            '1' => __('One Column','fashion-designer-studio'),
	            '2' => __('Two Column','fashion-designer-studio'),
	            '3' => __('Three Column','fashion-designer-studio'),
	            '4' => __('four Column','fashion-designer-studio'),
	            '5' => __('Five Column','fashion-designer-studio'),
	            '6' => __('Six Column','fashion-designer-studio'),
	        ),
		) );
		$wp_customize->add_setting( 'fashion_designer_studio_archieve_shop_perpage', array(
			'default'              => 6,
			'type'                 => 'theme_mod',
			'transport' 		   => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_sanitize_number_absint',
			'sanitize_js_callback' => 'absint',
		) );
		$wp_customize->add_control( 'fashion_designer_studio_archieve_shop_perpage', array(
			'label'       => esc_html__( 'Display Products','fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_woocommerce_settings',
			'type'        => 'number',
			'input_attrs' => array(
				'step'             => 1,
				'min'              => 0,
				'max'              => 30,
			),
		) );
		$wp_customize->add_setting( 'fashion_designer_studio_section_related_heading', array(
			'default'           => '',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_related_heading', array(
			'label'       => esc_html__( 'Related Product Settings', 'fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_woocommerce_settings',
			'settings'    => 'fashion_designer_studio_section_related_heading',
		) ) );
		$wp_customize->add_setting('woocommerce_related_products_heading', array(
	        'default' => 'Related products',
	        'sanitize_callback' => 'sanitize_text_field',
	    ));
	    $wp_customize->add_control('woocommerce_related_products_heading', array(
	        'label' => __('Related Products Heading', 'fashion-designer-studio'),
	        'section' => 'fashion_designer_studio_woocommerce_settings',
	        'type' => 'text',
	    ));
		$wp_customize->add_setting('fashion_designer_studio_related_item_columns',array(
	        'default' => '3',
	        'sanitize_callback' => 'fashion_designer_studio_sanitize_choices'
		));
		$wp_customize->add_control('fashion_designer_studio_related_item_columns',array(
	        'type' => 'select',
	        'label' => __('Select No of Columns','fashion-designer-studio'),
	        'section' => 'fashion_designer_studio_woocommerce_settings',
	        'choices' => array(
	            '1' => __('One Column','fashion-designer-studio'),
	            '2' => __('Two Column','fashion-designer-studio'),
	            '3' => __('Three Column','fashion-designer-studio'),
	            '4' => __('four Column','fashion-designer-studio'),
	            '5' => __('Five Column','fashion-designer-studio'),
	            '6' => __('Six Column','fashion-designer-studio'),
	        ),
		) );
		$wp_customize->add_setting( 'fashion_designer_studio_related_shop_perpage', array(
			'default'              => 3,
			'type'                 => 'theme_mod',
			'transport' 		   => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_sanitize_number_absint',
			'sanitize_js_callback' => 'absint',
		) );
		$wp_customize->add_control( 'fashion_designer_studio_related_shop_perpage', array(
			'label'       => esc_html__( 'Display Products','fashion-designer-studio' ),
			'section'     => 'fashion_designer_studio_woocommerce_settings',
			'type'        => 'number',
			'input_attrs' => array(
				'step'             => 1,
				'min'              => 0,
				'max'              => 10,
			),
		) );
		$wp_customize->add_setting(
			'fashion_designer_studio_related_product',
			array(
				'type'                 => 'option',
				'capability'           => 'edit_theme_options',
				'theme_supports'       => '',
				'default'              => '1',
				'transport'            => 'refresh',
				'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
			)
		);
		$wp_customize->add_control(new Fashion_Designer_Studio_Customizer_Customcontrol_Switch($wp_customize,'fashion_designer_studio_related_product',
			array(
				'settings'        => 'fashion_designer_studio_related_product',
				'section'         => 'fashion_designer_studio_woocommerce_settings',
				'label'           => __( 'show Related Products', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		));
	}

	// mobile width
	$wp_customize->add_section('fashion_designer_studio_mobile_options',array(
        'title' => __('Mobile Media settings', 'fashion-designer-studio'),
        'priority' => 4,
    ) );
    $wp_customize->add_setting( 'fashion_designer_studio_section_mobile_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_mobile_heading', array(
		'label'       => esc_html__( 'Mobile Media settings', 'fashion-designer-studio' ),
		'section'     => 'fashion_designer_studio_mobile_options',
		'settings'    => 'fashion_designer_studio_section_mobile_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_slider_button_mobile_show_hide',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_slider_button_mobile_show_hide',
			array(
				'settings'        => 'fashion_designer_studio_slider_button_mobile_show_hide',
				'section'         => 'fashion_designer_studio_mobile_options',
				'label'           => __( 'Show Slider Button', 'fashion-designer-studio' ),	
				'description' => __('Control wont function if the button is off in the main slider settings.', 'fashion-designer-studio') ,			
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting(
		'fashion_designer_studio_scroll_enable_mobile',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_scroll_enable_mobile',
			array(
				'settings'        => 'fashion_designer_studio_scroll_enable_mobile',
				'section'         => 'fashion_designer_studio_mobile_options',
				'label'           => __( 'Show Scroll Top', 'fashion-designer-studio' ),
				'description' => __('Control wont function if scroll-top is off in the main settings.', 'fashion-designer-studio') ,				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting( 'fashion_designer_studio_section_mobile_breadcrumb_heading', array(
		'default'           => '',
		'transport'         => 'refresh',
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( new Fashion_Designer_Studio_Customizer_Customcontrol_Section_Heading( $wp_customize, 'fashion_designer_studio_section_mobile_breadcrumb_heading', array(
		'label'       => esc_html__( 'Mobile Breadcrumb settings', 'fashion-designer-studio' ),
		'description' => __('Controls wont function if the breadcrumb is off in the main breadcrumb settings.', 'fashion-designer-studio') ,
		'section'     => 'fashion_designer_studio_mobile_options',
		'settings'    => 'fashion_designer_studio_section_mobile_breadcrumb_heading',
	) ) );
	$wp_customize->add_setting(
		'fashion_designer_studio_enable_breadcrumb_mobile',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_enable_breadcrumb_mobile',
			array(
				'settings'        => 'fashion_designer_studio_enable_breadcrumb_mobile',
				'section'         => 'fashion_designer_studio_mobile_options',
				'label'           => __( 'Theme Breadcrumb', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	$wp_customize->add_setting(
		'fashion_designer_studio_single_enable_breadcrumb_mobile',
		array(
			'type'                 => 'option',
			'capability'           => 'edit_theme_options',
			'theme_supports'       => '',
			'default'              => '1',
			'transport'            => 'refresh',
			'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
		)
	);
	$wp_customize->add_control(
		new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
			$wp_customize,
			'fashion_designer_studio_single_enable_breadcrumb_mobile',
			array(
				'settings'        => 'fashion_designer_studio_single_enable_breadcrumb_mobile',
				'section'         => 'fashion_designer_studio_mobile_options',
				'label'           => __( 'Single Post & Page', 'fashion-designer-studio' ),				
				'choices'		  => array(
					'1'      => __( 'On', 'fashion-designer-studio' ),
					'off'    => __( 'Off', 'fashion-designer-studio' ),
				),
				'active_callback' => '',
			)
		)
	);
	if ( class_exists( 'WooCommerce' ) ) {
		$wp_customize->add_setting(
			'fashion_designer_studio_woocommerce_enable_breadcrumb_mobile',
			array(
				'type'                 => 'option',
				'capability'           => 'edit_theme_options',
				'theme_supports'       => '',
				'default'              => '1',
				'transport'            => 'refresh',
				'sanitize_callback'    => 'fashion_designer_studio_callback_sanitize_switch',
			)
		);
		$wp_customize->add_control(
			new Fashion_Designer_Studio_Customizer_Customcontrol_Switch(
				$wp_customize,
				'fashion_designer_studio_woocommerce_enable_breadcrumb_mobile',
				array(
					'settings'        => 'fashion_designer_studio_woocommerce_enable_breadcrumb_mobile',
					'section'         => 'fashion_designer_studio_mobile_options',
					'label'           => __( 'wooCommerce Breadcrumb', 'fashion-designer-studio' ),				
					'choices'		  => array(
						'1'      => __( 'On', 'fashion-designer-studio' ),
						'off'    => __( 'Off', 'fashion-designer-studio' ),
					),
					'active_callback' => '',
				)
			)
		);
	}

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'fashion_designer_studio_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'fashion_designer_studio_customize_partial_blogdescription',
	) );

	//front page
	$num_sections = apply_filters( 'fashion_designer_studio_front_page_sections', 4 );

	// Create a setting and control for each of the sections available in the theme.
	for ( $i = 1; $i < ( 1 + $num_sections ); $i++ ) {
		$wp_customize->add_setting( 'panel_' . $i, array(
			'default'           => false,
			'sanitize_callback' => 'fashion_designer_studio_sanitize_dropdown_pages',
			'transport'         => 'postMessage',
		) );

		$wp_customize->add_control( 'panel_' . $i, array(
			/* translators: %d is the front page section number */
			'label'          => sprintf( __( 'Front Page Section %d Content', 'fashion-designer-studio' ), $i ),
			'description'    => ( 1 !== $i ? '' : __( 'Select pages to feature in each area from the dropdowns. Add an image to a section by setting a featured image in the page editor. Empty sections will not be displayed.', 'fashion-designer-studio' ) ),
			'section'        => 'theme_options',
			'type'           => 'dropdown-pages',
			'allow_addition' => true,
			'active_callback' => 'fashion_designer_studio_is_static_front_page',
		) );

		$wp_customize->selective_refresh->add_partial( 'panel_' . $i, array(
			'selector'            => '#panel' . $i,
			'render_callback'     => 'fashion_designer_studio_front_page_section',
			'container_inclusive' => true,
		) );
	}
}
add_action( 'customize_register', 'fashion_designer_studio_customize_register' );

function fashion_designer_studio_customize_partial_blogname() {
	bloginfo( 'name' );
}
function fashion_designer_studio_customize_partial_blogdescription() {
	bloginfo( 'description' );
}
function fashion_designer_studio_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}
function fashion_designer_studio_is_view_with_layout_option() {
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

define('FASHION_DESIGNER_STUDIO_PRO_LINK',__('https://www.ovationthemes.com/wordpress/designer-studio-wordpress-theme/','fashion-designer-studio'));

/* Pro control */
if (class_exists('WP_Customize_Control') && !class_exists('Fashion_Designer_Studio_Pro_Control')):
    class Fashion_Designer_Studio_Pro_Control extends WP_Customize_Control{

    public function render_content(){?>
        <label style="overflow: hidden; zoom: 1;">
	        <div class="col-md upsell-btn">
                <a href="<?php echo esc_url( FASHION_DESIGNER_STUDIO_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE FASHION DESIGNER PREMIUM','fashion-designer-studio');?> </a>
	        </div>
            <div class="col-md">
                <img class="fashion_designer_studio_img_responsive " src="<?php echo esc_url(get_template_directory_uri()); ?>/screenshot.png">
            </div>
	        <div class="col-md">
	            <h3 style="margin-top:10px; margin-left: 20px; text-decoration:underline; color:#333;"><?php esc_html_e('FASHION DESIGNER PREMIUM - Features', 'fashion-designer-studio'); ?></h3>
                <ul style="padding-top:10px">
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Responsive Design', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Boxed or fullwidth layout', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Shortcode Support', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Demo Importer', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Section Reordering', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Contact Page Template', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Multiple Blog Layouts', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Unlimited Color Options', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Designed with HTML5 and CSS3', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Customizable Design & Code', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Cross Browser Support', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Detailed Documentation Included', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Stylish Custom Widgets', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Patterns Background', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('WPML Compatible (Translation Ready)', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Woo-commerce Compatible', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Full Support', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('10+ Sections', 'fashion-designer-studio');?> </li>
                    <li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Live Customizer', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('AMP Ready', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Clean Code', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('SEO Friendly', 'fashion-designer-studio');?> </li>
                   	<li class="upsell-fashion_designer_studio"> <div class="dashicons dashicons-yes"></div> <?php esc_html_e('Supper Fast', 'fashion-designer-studio');?> </li>
                </ul>
        	</div>
		    <div class="col-md upsell-btn upsell-btn-bottom">
	            <a href="<?php echo esc_url( FASHION_DESIGNER_STUDIO_PRO_LINK ); ?>" target="blank" class="btn btn-success btn"><?php esc_html_e('UPGRADE FASHION DESIGNER PREMIUM','fashion-designer-studio');?> </a>
		    </div>
        </label>
    <?php } }
endif;
